Name:           dosfstools
Version:        4.1
Release:        7
Summary:        FAT file system userspace tools
License:        GPLv3+
URL:            http://www.github.com/dosfstools/dosfstools
Source0:        http://www.github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc git autoconf automake

Patch6000:      6000-Fix-signed-integer-overflow-in-FSTART.patch
Patch6001:      6001-Avoid-returning-deleted-directory-entries-as-labels.patch
Patch6002:      6002-src-check.c-Fix-up-mtools-created-bad-dir-entries.patch
Patch6003:      6003-Remove-long-file-name-when-changing-short-file-name.patch
Patch6004:      6004-Fix-gcc-sprintf-length-warnings.patch
Patch6005:      6005-fsck.fat-Fix-Year-2038-Bug.patch
Patch6006:      6006-mkfs.fat-Fix-parsing-of-block-number.patch
Patch6007:      6007-device_info-Fix-parsing-partition-number.patch

%description
The dosfstools package contains programs mkfs.fat, fsck.fat and fatlabel to
create, check and label FAT family file systems.

%package        help
Summary:        Documentations for dosfstools
BuildArch:      noarch
Requires:       man

%description    help
This package includes man pages for dosfstools.

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
%configure --enable-compat-symlinks
%make_build CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing"

%install
%make_install

%files
%doc doc/* ChangeLog
%license COPYING
%{_sbindir}/*


%files help
%{_mandir}/man8/*

%changelog
* Tue Aug 20 2019 luoshijie <luoshijie1@huawei.com> - 4.1-7
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:openEuler Debranding

* Tue Aug 20 2019 luoshijie <luoshijie1@huawei.com> - 4.1-6.h2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:rename patch name

* Mon Apr 15 2019 yinzhiwei <yinzhiwei5@huawei.com> - 4.1-6.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Fix signed integer overflow in FSTART
       Avoid returning deleted directory entries as labels
       src check.c: Fix up mtools created bad dir entries
       Remove long file name when changing short file name
       Fix gcc sprintf length warnings
       fsck.fat: Fix Year 2038 Bug
       mkfs.fat: Fix parsing of block number
       device_info: Fix parsing partition number
-Package init

